MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
00001143D-Coat 3.xSculpting with voxels (Voxel room)public2011-01-14 21:142011-03-01 09:39
ReporterAbnRanger 
Assigned ToAndrew 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version7 x64
Product Version 
Target VersionFixed in Version 
Summary0000114: Persistent memory leak
DescriptionWhen working in the voxel room, memory consumption will climb without appropriate cause(ie. Increase Resolution, Create new object, etc.), oftentimes as much as 1GB or more. It will hold the wasted amount, and the only way to flush it is to exit 3D Coat and re-open the file.

I have seen an object scaled down (reduce resolution) to preserve RAM, and memory consumption doesn't change until after exiting the application and re-opening the file. The difference in RAM usage was 3-4GB!
Steps To ReproduceSimply sculpt (without adding any new objects or increasing resolution) for any length of time and watch RAM usage climb (using Windows Task Manager).
Additional InformationVideo Capture of the problem:
http://www.screencast.com/users/dnashj33/folders/Default/media/d0ccb6d4-d9f1-459d-9ecb-5a8cfa62d6e3 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000160)
Andrew (administrator)
2011-01-19 13:47

I discovered the situation. Actually it is was only partially a leak. Anyway, situation improved, but needs more testing and checking.
(0000174)
haikalle (developer)
2011-01-31 10:32

Fixed.
(0000368)
AbnRanger (developer)
2011-03-01 09:39
edited on: 2011-03-01 09:41

It still occurs every time I work in Voxels. After a while 3DC will consume a large amount....but as soon as you exit the application and reopen the very same file, I've seen as much as 4-5GBs LESS being used.

This must get fixed. 3DC already consumes way too much system resources as it is. I've shown multiple examples and multiple work files for months and nothing has been done to remedy this problem.


- Issue History
Date Modified Username Field Change
2011-01-14 21:14 AbnRanger New Issue
2011-01-14 21:14 AbnRanger Status new => assigned
2011-01-14 21:14 AbnRanger Assigned To => AbnRanger
2011-01-14 21:15 AbnRanger Assigned To AbnRanger => Andrew
2011-01-19 13:47 Andrew Note Added: 0000160
2011-01-19 13:47 Andrew Status assigned => resolved
2011-01-19 13:47 Andrew Resolution open => fixed
2011-01-31 10:32 haikalle Note Added: 0000174
2011-01-31 10:32 haikalle Status resolved => closed
2011-03-01 09:39 AbnRanger Note Added: 0000368
2011-03-01 09:41 AbnRanger Note Edited: 0000368 View Revisions
2011-08-29 07:15 Taros Category Voxel room => Sculpting with voxels (Voxel room)


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker